%function dy = Mito_full_ode(t,y,kS,dD,aM,kD,dR,sC,kE,lE,R0,dE)
function dy = Mito_full_ode(t,y,kS,dD,aM,kD,dR,sC,kE,lE,R0,dE,kU,dU,lU,alpha,sR)
%function dy = Mito_full_ode(t,y,kS,dD,aM,kD,dR,sC,kE,lE,R0,dE,kU,dU,lU)
%
%dy = zeros(5,1);
%dy = zeros(4,1);
dy = zeros(6,1);
%dy(1) = -kS*y(1)*ostress(y(3),t,sC,alpha);
dy(1) = -kS*y(1)*y(6);
%dy(1) = -kS*y(1)*ostress(y(3)./(y(1) + y(2) + 0.00001),t,sC);
%dy(2) = kS*y(1)*ostress(y(3),t,sC,alpha) - dD*y(2)*ostress(y(3),t,sC,alpha); 
dy(2) = kS*y(1)*y(6) - dD*y(2)*y(6); 
%dy(2) = kS*y(1)*ostress(y(3)./(y(1) + y(2) + 0.00001),t,sC) - dD*y(2)*ostress(y(3),t,sC); 
dy(3) = aM*(y(1) + kD*y(2)) - dR*y(3);
dy(4) = fE(y(3)./(y(1) + y(2) + 0.00001),kE,lE,R0) -dE*y(4);
%dy(5) = kU*y(4)*(1./(1 +lU*y(5))) - dU*y(5);
dy(5) = kU*y(5)*(1 - y(5)*(1 + lU)./(1 + lU*y(4)));
dy(6) = ostress(y(3),sC,alpha) - sR*y(6);
end

